<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@300;700&display=swap"
            rel="stylesheet">
    <style>
        body {
            background-color: white !important;
            margin: 0;
        }
    </style>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CheersBeers</title>

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
            integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
            crossorigin="anonymous"></script>
    <!-- bootstrap -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/876095b5f8.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">

    <script type="text/javascript" href="../static/js/main.js" th:href="@{/js/main.js}"></script>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>
<!--navigation bar-->
<div th:replace="fragments/navbar.html :: header"></div>
<!--<div class="nav-container">-->
<!--    <div class="wrapper">-->
<!--        <nav>-->
<!--            <div class="logo">-->
<!--                <a href="beers_page.html" th:href="@{/beers}"><img src="../static/images/logo_beer_page.png"-->
<!--                                                                   th:src="@{/images/logo_beer_page.png}"-->
<!--                                                                   alt="CHEERBEERS"></a>-->
<!--            </div>-->
<!--            <ul class="nav-items">-->

<!--                <li>-->
<!--                    Welcome <a href="#">Kevin</a>-->
<!--                </li>-->

<!--                <li>-->
<!--                    <div class="dropdown">-->
<!--                        <img class="profile-picture-nav" src="../static/images/defaultAvatar.jpg" alt="avatar"-->
<!--                             th:src="@{/images/defaultAvatar.jpg}">-->
<!--                        <div class="dropdown-content">-->
<!--                            <div class="desc"><a href="#"> Profile</a></div>-->
<!--                            <div class="desc"><a href="#"> Add new beer</a></div>-->
<!--                            <div class="desc"><a href="#">My wishlist</a></div>-->
<!--                            <div class="desc"><a href="#">My drunklist</a></div>-->
<!--                            <div class="desc"><a href="#">logout</a></div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </li>-->
<!--            </ul>-->
<!--        </nav>-->
<!--    </div>-->
<!--</div>-->
<!--navigation bar above-->

<div class="container emp-profile">

    <div class="row">
        <div class="col-md-4">
            <div class="profile-img">

                <img src="../static/images/defaultBeerAvatar.jpg" alt="profilepicture"  th:src="${createBeerDto.getPicture()}" />

                <div class="file btn btn-lg btn-primary">
                    Change Photo
                    <input type="file" name="file"/>
                </div>

            </div>
        </div>

        <div th:if="${#httpServletRequest.requestURI == '/beers/new/'}" class="col-md-6">
            <div class="profile-head">

                <h5>Add new beer</h5>

<!--                <form action="" th:action="@{/beers/new}"  th:object="${beerDto}" method="post" >-->
                <form action="" th:action="@{/beers/new/}"  th:object="${createBeerDto}" method="post" >
                    <h7>Beer name</h7>
                    <input class="form-control" type="text" th:field="*{name}"  placeholder="enter beer name">
                        <div><label class="error2" th:errors="*{name}"></label></div>


                    <h7>Alcohol by volume</h7>
                    <input class="form-control" type="text" th:field="*{abv}" placeholder="enter abv">
                    <div><label class="error2" th:errors="*{abv}"></label></div>
                    <h7>Description</h7>
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" th:field="*{description}"></textarea>
                    <div><label class="error2" th:errors="*{description}"></label></div>
                    <style>
                        .form-control{ !important;
                            max-width: 360px;
                        }
                    </style>
                    <h7>Brewery</h7>
                    <input class="form-control" type="text" th:field="*{brewery}" placeholder="enter brewery name">
                    <div><label class="error2" th:errors="*{brewery}"></label></div>
                    <h7>Style</h7>
                    <select th:field ="*{styleId}" class="form-control form-control-sm">
                        <option selected value="0">select style</option>
                        <option th:each = "style: ${styles}" th:value="${style.id}" th:text = "${style.style}">IPA</option>
                    </select>
                    <div><label class="error2" th:errors="*{styleId}"></label></div>
                    <h7>OriginCountry</h7>
                    <select th:field ="*{countryId}" class="form-control form-control-sm">
                        <option selected value="0">select country</option>
                        <option th:each = "country : ${countries}" th:value="${country.id}" th:text = "${country.country}">Bulgaria</option>
                    </select>
                    <div><label class="error2" th:errors="*{countryId}"></label></div>
                    <h7>Add hashtags</h7>
                    <textarea class="form-control" id="exampleFormControlTextarea2" rows="3" th:field="*{hashtags}"></textarea>
                    <h7>Upload beer picture</h7>
                    <div class="form-group">
                        <input type="file" class="form-control-file" id="exampleFormControlFile1">
                    </div>
                    <br>
                    <button  type="submit" class="btn btn-primary">Add beer</button>
                </form>
            </div>
        </div>

        <div th:unless="${#httpServletRequest.requestURI == '/beers/new/'}" class="col-md-6">
            <div class="profile-head">
                <h5 >Edit beer</h5>

                <form action="#" th:action="@{'/beers/' + ${beer.id} +'/'}" th:object="${createBeerDto}"   method="post" >
                    <h7>Beer name</h7>
                    <input class="form-control" type="text" th:field="*{name}"  placeholder="enter beer name" ></input>
                    <div><label class="error2" th:errors="*{name}"></label></div>
                    <h7>Alcohol by volume</h7>
                    <input class="form-control" type="text" th:field="*{abv}" placeholder="enter abv">
                    <div><label class="error2" th:errors="*{abv}"></label></div>
                    <h7>Description</h7>
                    <textarea class="form-control" id="exampleFormControlTextarea3" rows="3" th:field="*{description}"></textarea>
                    <div><label class="error2" th:errors="*{description}"></label></div>
                    <style>
                        .form-control{ !important;
                            max-width: 360px;
                        }
                    </style>
                    <h7>Brewery</h7>
                    <input class="form-control" type="text" th:field="*{brewery}" placeholder="enter brewery name">
                    <div><label class="error2" th:errors="*{brewery}"></label></div>
                    <h7>Style</h7>
                    <select th:field ="*{styleId}" class="form-control form-control-sm">
                        <option selected value="0">select style</option>
                        <option th:each = "style: ${styles}" th:value="${style.id}" th:text = "${style.style}">IPA</option>
                    </select>
                    <div><label class="error2" th:errors="*{styleId}"></label></div>
                    <h7>OriginCountry</h7>
                    <select th:field ="*{countryId}" class="form-control form-control-sm">
                        <option selected value="0">select country</option>
                        <option th:each = "country : ${countries}" th:value="${country.id}" th:text = "${country.country}">Bulgaria</option>
                    </select>
                    <div><label class="error2" th:errors="*{countryId}"></label></div>
                    <h7>Add hashtags</h7>
                    <textarea class="form-control" id="exampleFormControlTextarea4" rows="3" th:field="*{hashtags}"></textarea>
                    <h7>Upload beer picture</h7>
                    <div class="form-group">
                        <input type="file" class="form-control-file" id="exampleFormControlFile4">
                    </div>
                    <br>
                    <button type="submit" class="btn btn-primary">Edit beer</button>
                </form>
            </div>
        </div>

    </div>
</div>
</body>
</html>